ReplicatedBlockStats (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: ReplicatedBlockStats

Package org.apache.hadoop.hdfs.protocol

# Class ReplicatedBlockStats

java.lang.Object
org.apache.hadoop.hdfs.protocol.ReplicatedBlockStats

@Public @Evolving public final class ReplicatedBlockStats extends Object
Get statistics pertaining to blocks of type `BlockType.CONTIGUOUS` in the filesystem.

See Also:
  - `ClientProtocol.getReplicatedBlockStats()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplicatedBlockStats(long lowRedundancyBlocks, long corruptBlocks, long missingBlocks, long missingReplicationOneBlocks, long bytesInFutureBlocks, long pendingDeletionBlocks)`
  `ReplicatedBlockStats(long lowRedundancyBlocks, long corruptBlocks, long missingBlocks, long missingReplicationOneBlocks, long bytesInFutureBlocks, long pendingDeletionBlocks, Long badlyDistributedBlocks, Long highestPriorityLowRedundancyBlocks)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `getBadlyDistributedBlocks()`
  `long`
  `getBytesInFutureBlocks()`
  `long`
  `getCorruptBlocks()`
  `Long`
  `getHighestPriorityLowRedundancyBlocks()`
  `long`
  `getLowRedundancyBlocks()`
  `long`
  `getMissingReplicaBlocks()`
  `long`
  `getMissingReplicationOneBlocks()`
  `long`
  `getPendingDeletionBlocks()`
  `boolean`
  `hasBadlyDistributedBlocks()`
  `boolean`
  `hasHighestPriorityLowRedundancyBlocks()`
  `static ReplicatedBlockStats`
  `merge(Collection<ReplicatedBlockStats> stats)`
  Merge the multiple ReplicatedBlockStats.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReplicatedBlockStats

    public ReplicatedBlockStats(long lowRedundancyBlocks, long corruptBlocks, long missingBlocks, long missingReplicationOneBlocks, long bytesInFutureBlocks, long pendingDeletionBlocks)

  - ### ReplicatedBlockStats

    public ReplicatedBlockStats(long lowRedundancyBlocks, long corruptBlocks, long missingBlocks, long missingReplicationOneBlocks, long bytesInFutureBlocks, long pendingDeletionBlocks, Long badlyDistributedBlocks, Long highestPriorityLowRedundancyBlocks)

- ## Method Details

  - ### getLowRedundancyBlocks

    public long getLowRedundancyBlocks()

  - ### getCorruptBlocks

    public long getCorruptBlocks()

  - ### getMissingReplicaBlocks

    public long getMissingReplicaBlocks()

  - ### getMissingReplicationOneBlocks

    public long getMissingReplicationOneBlocks()

  - ### getBytesInFutureBlocks

    public long getBytesInFutureBlocks()

  - ### getPendingDeletionBlocks

    public long getPendingDeletionBlocks()

  - ### hasBadlyDistributedBlocks

    public boolean hasBadlyDistributedBlocks()

  - ### getBadlyDistributedBlocks

    public Long getBadlyDistributedBlocks()

  - ### hasHighestPriorityLowRedundancyBlocks

    public boolean hasHighestPriorityLowRedundancyBlocks()

  - ### getHighestPriorityLowRedundancyBlocks

    public Long getHighestPriorityLowRedundancyBlocks()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### merge

    public static ReplicatedBlockStats merge(Collection<ReplicatedBlockStats> stats)
    Merge the multiple ReplicatedBlockStats.
    Parameters:
      `stats` - Collection of stats to merge.
    Returns:
      A new ReplicatedBlockStats merging all the input ones